# Rorensics: Raiders Forensics

## CTF demo
### JerseyCTF
- Png In A JPG Stack Challenge
![JCTF PNG](ctf-demo/demo-jctf-Png-In-A-JPG-Stack.png)
- Photo Challenge
![JCTF Photo](ctf-demo/demo-jctf-photo.png)
- plain Challenge
![JCTF plain](ctf-demo/demo-jctf-plain.png)

## Todo List
- [ ] refactor
  - [ ] mandatory options
  - [ ] logging - (verbose, silent)
  - [x] binwalker
    - [x] refactor binwalker code
    - [x] handle file path and extract path
    - [x] binwalk progress
  - [x] enhance oct_encode
  - [] unified coloring
  - [x] palestine flag banner 
  - [x] authors
- [ ] banner flag borders
- [ ] binwalker __condition
### Not yet

- [ ] Case insensitivity in bases checks
- [ ] search in zsteg output
- [ ] steghide
- [ ] ROT8000

### DONE
- [x] Fix rotations
- [x] silent mode
- [x] Search for the ROT13 of the flag (ROT1, ROT2, ... ROT26)
- [x] Search for the plain-text flag 
- [x] binwalk
- [x] Search for the bases of the flag (base64, 42, ...)
  - [x] base64
  - [x] base45
  - [x] base16 (hex)
  - [x] base8 (octal)
  - [x] base2 (binary)
  - [x] base32
  - [x] base85
- [x] Check internet connection before requesting nitrxgen
- [x] utils
- [ ] use binwalk module https://github.com/ReFirmLabs/binwalk/blob/master/API.md
- [ ] try all in string 

## Contributors ✨

Thanks goes to these wonderful people :


<table>
  <tbody>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/juba0x00"><img src="https://avatars.githubusercontent.com/u/73611543?v=4" width="100px;" alt="Mahmoud Hawash"/><br /><sub><b>Mahmoud Hawash</b></sub></a><br /><a href="#idk" title="Tutorials">✅</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/motarekk"><img src="https://avatars.githubusercontent.com/u/104282801?v=4" width="100px;" alt="Mohammed Tarek"/><br /><sub><b>Mohammed Tarek</b></sub></a><br /><a href="#" title="Tutorials">✅</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/N0rhan"><img src="https://avatars.githubusercontent.com/u/96006888?v=4" width="100px;" alt="Nourhan Mohamed"/><br /><sub><b>Nourhan Mohamed</b></sub></a><br /><a href="#" title="Tutorials">✅</a></td>
      </tr>
  </tbody>
</table>
